Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1119025 - Extending thin provisioning disks should not rely on racy isLocked()
Summary: Extending thin provisioning disks should not rely on racy isLocked()
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 3.5.0
Assignee: Nir Soffer
QA Contact: Gal Amado
URL:
Whiteboard: storage
Depends On: 1117795
Blocks: 1119664 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-07-13 09:20 UTC by Allon Mureinik
Modified: 2016-02-10 19:18 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1117795
: 1119664 (view as bug list)
Environment:
Last Closed: 2015-02-16 13:38:17 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 29854 None None None Never
oVirt gerrit 29981 ovirt-3.5 MERGED mailbox: Remove fatal, uneeded, and racy check Never

Comment 3 Gal Amado 2014-08-12 05:51:57 UTC
Verified at :
oVirt Engine Version: 3.5.0-0.0.master.20140804172041.git23b558e.el6vdsm
vdsm Version : vdsm-4.16.1-6.gita4a4614.el6.x86_64

manually , and by automation test. 
https://tcms.engineering.redhat.com/case/398664/?from_plan=9583 
(~/git/ART/art/tests/rhevmtests/storage/storage_bug_coverage/test_exposing_bugs.py)

both using dd.fake script as explained in https://bugzilla.redhat.com/1119226


Note You need to log in before you can comment on or make changes to this bug.